Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_storage_enumerate

## Name

librdf_storage_enumerate -- Get information on storages

## Synopsis

``int `librdf_storage_enumerate`` (const unsigned int `counter`, const char ** `name`, const char ** `label`);`

## Arguments

`counter`

  index into the list of storages

`name`

  pointer to store the name of the storage (or NULL)

`label`

  pointer to store syntax readable label (or NULL)

## Return value

non 0 on failure of if counter is out of range

<<< Previous | Home | Next >>>
librdf_get_storage_factory | Up | librdf_new_storage